Bug 852388 - [apidoc] No documentation for "remote" actions in katello/apidoc/
[apidoc] No documentation for "remote" actions in katello/apidoc/
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Ivan Necas
Garik Khachikyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 07:09 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Documentation was missing on specific API calls and users were unable to understand these API calls. This fix added the required documentation to help users understand the API calls.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-08-28 07:09:18 EDT
Description of problem:
having recent katello-api-docs was unable to find the documentation for the remote calls.

Version-Release number of selected component (if applicable):
katello-api-docs-1.1.7-1.git.31.8662665.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. install katello-api-docs
2. visit https://<fqdn>/katello/apidoc
3. try to find remote actions related doc
  
Actual results:
no doc

Expected results:
doc related to remote action API calls/

Additional info:
Comment 1 Pavel Pokorny 2012-09-12 06:58:08 EDT
Providers and Subscriptions added in 1081951
Comment 2 Pavel Pokorny 2012-09-12 08:13:53 EDT
Another API controllers which are not documented:

[1] SyncPlans
[1] SystemPackages
[1] Tasks
[2] TemplatesContent
[2] Templates

Filters
Sync
Systems
SystemGroupErrata
SystemGroupPackages
I added last two to [3] list.

And then PulpProxiesController, CandlepinProxiesController which won't be probably documented at all.

[1] https://github.com/Katello/katello/pull/645
[2] https://github.com/Katello/katello/pull/643
[3] https://fedorahosted.org/katello/wiki/APIDocumentationEfforts
Comment 3 Ivan Necas 2012-09-12 10:38:56 EDT
The systems controller documentation waiting to merge https://github.com/Katello/katello/pull/648
Comment 4 Martin Bacovsky 2012-09-13 06:14:52 EDT
PR #645 merged in, a8be59
PR #643 merged in, 6c3f5d
PR #648 merged in, d683e16
Comment 5 Martin Bacovsky 2012-09-13 06:21:44 EDT
Taking the system group apidoc
Comment 6 Martin Bacovsky 2012-09-14 05:52:55 EDT
System group*: https://github.com/Katello/katello/pull/664
Comment 7 Martin Bacovsky 2012-09-14 06:59:15 EDT
PR #664 merged in, fea5e2a
Comment 8 Martin Bacovsky 2012-09-14 09:18:21 EDT
Taking the last ones - Filters and Sync
Comment 9 Martin Bacovsky 2012-09-17 09:51:20 EDT
Filters, sync: https://github.com/Katello/katello/pull/677
Comment 10 Mike McCune 2012-09-17 12:20:19 EDT
merged
Comment 11 Martin Bacovsky 2012-09-18 08:17:01 EDT
PR #677 merged in 014cbe7
Comment 14 Garik Khachikyan 2012-10-04 08:21:04 EDT
# REOPEN

seems it's filled (the gap in api calls about remote actions and not only :)), BUT:

there is an issue with CFSE, simply clicking in any url of documented method, it makes HTTP 404 Not found error, because links to: "https://fqdn/katello/apidoc/sync_plans.html" (note the /katello/ there)

So the directory for CFSE is /cfse/ and not the /katello/

checked on:
---
katello-api-docs-1.1.12-12.el6cf.noarch
Comment 15 Ivan Necas 2012-10-08 05:48:34 EDT
Fixed in apipie-rails in commit:

6e1e6937e42dda524d669ef6557316679fe6681b
Comment 18 Garik Khachikyan 2012-10-17 04:54:03 EDT
# VERIFIED

My pleasure to state that it now fixed. yay!

thanks Ivan for the fix.

done against packages:
---
katello-api-docs-1.1.12-16.el6cf.noarch
katello-1.1.12-16.el6cf.noarch
rubygem-apipie-rails-0.0.11-3.el6cf.noarch
Comment 20 errata-xmlrpc 2012-12-04 14:52:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 21 Mike McCune 2013-08-16 14:05:11 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.